## gwydion-dylan-2.3.11.tar.gz

=== platform/gtk+/gtk2/Makefile ===
all: gtk-2.lib.du

gtk.dylan: gtk.intr gtk-includes.h
	melange --no-struct-accessors --d2c -I`gcc --print-file-name=include` `pkg-config --cflags gtk+-2.0` -m gtk-module.dylan, gtk.intr gtk.dylan,
	mv gtk-module.dylan, gtk-module.dylan
	mv gtk.dylan, gtk.dylan

gtk-2.lib.du: gtk.lid gtk-library.dylan gtk-module.dylan gtk.dylan gtk-more-module.dylan gtk-support.dylan
	CCOPTS=" `pkg-config --cflags gtk+-2.0`" d2c gtk.lid

=== debian/changelog ===
gwydion-dylan (2.3.11pre1-1) unstable; urgency=low

  * Upstream updates.  Lots of optimizations, bug fixes, etc.
  * Declare dependency on gcc-3.2 due to optimizer bugs.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 24 Jun 2003 21:35:02 -0700

gwydion-dylan (2.3.10pre3-3) unstable; urgency=low

  * Updated GNU Emacs syntax highlighting.  It should *not* break XEmacs,
    and to activate you must add the following to your .emacs file:

    (defvar dylan-mode-hook
      (lambda()
          (progn
                (dylan-install-font-lock-defaults))))

  * Moved DUIM to its own package.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 30 Mar 2003 00:07:04 -0800

gwydion-dylan (2.3.10pre3-2) unstable; urgency=low

  * Updates to add 'collections' library.
  * More complete 'machine-words' module.
  * New "fixnum-logical-shift-right" primitive.
  * New "--no-makefile" build mode.
  * Improved debugging support.
  * Minor optimizations and compiler improvements.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 29 Mar 2003 00:48:59 -0800

gwydion-dylan (2.3.10pre3-1) unstable; urgency=low

  * New upstream with workarounds for gcc-3.2.2 bugs.  Now builds without
    requiring debug build.
  * More cleanups and preparations for the release.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  1 Mar 2003 23:16:09 -0800

gwydion-dylan (2.3.10pre2-1) unstable; urgency=low

  * New upstream, new 'pre2' status.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 25 Feb 2003 23:12:07 -0800

gwydion-dylan (2.3.10pre1.5-1) unstable; urgency=low

  * New upstream release.
  * Initial build of runtime evaluator (REPL).  Not complete, but fun
    to play with.
  * Enhanced compile-time error reporting.
  * Further melange enhancements for C-code interfacing.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 16 Feb 2003 20:53:43 -0800

gwydion-dylan (2.3.10pre1.3-1) unstable; urgency=low

  * Minor string comparison optimizations.
  * Build networking libraries.
  * Generate better (*slightly* more readable) C code.
  * Fix lintian errors.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon,  3 Feb 2003 22:31:46 -0800

gwydion-dylan (2.3.10pre1.1-1) unstable; urgency=low

  * Use system-provided GC, rather than build-in version.
  * Correct build dependencies for autobuilders.
  * Some corrections to better-process header files
        - Don't generate get/set routines for C void methods
        - Understand C macros
        - Properly escape characters in string constants
  * Correct some lintian errors.
  * Add dependency on bison (Closes:#175038)
  * Correct test-suite install (Closes:#170577)
  * Now uses debian-supplied Boehm garbage collector.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 31 Jan 2003 22:31:00 -0800

gwydion-dylan (2.3.10pre1-1) unstable; urgency=low

  * New upstream version.
  * Improved performance on copy-sequence for <byte-string>,
    and upper/lower-case conversions.
  * Improve performance of read-line from fd-stream and fd-file-stream
    by a factor of 4.
  * Improve performance of <stretchy-vector> to amortized O(1) time per
    insertion.
  * Beginnings of a single-library version of Dylan.
  * More space-efficient boolean representation.
  * Use new concatenate! function from Extensions library (rather than
    crappy version from the Dylan library.)
  * Add support for <double-integer> class (a.k.a. "long long"), and
    remove assumption that size == alignment for C types.  Add assertions
    that Dylans types and gcc's types are in agreement.
  * Add dependency on libtool (Closes: #167139)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 16 Dec 2002 21:05:38 -0800

gwydion-dylan (2.3.9pre4-1) unstable; urgency=low

  * Net networking library.
  * Fixes based on things found during the ICFP competition.
  * Generated C code now reuses temporaries.
  * Don't leave executable helper scripts in the source package.  Clean
    up the source package.  (Closes:Bug#159328)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 21 Sep 2002 21:10:04 -0700

gwydion-dylan (2.3.9pre3-4) unstable; urgency=low

  * Corrected without-bounds-checks
  * Some corrections to bignums
  * Command-line GC options
  * Some small generated C improvements
  * Correct Dylan-Mode loading routine.  (Closes:Bug#158286)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 26 Aug 2002 22:36:26 -0700

gwydion-dylan (2.3.9pre3-3) unstable; urgency=low

  * Fixes to meet Common Dylan standard.
  * Fixes for Melange to allow it to parse more C headers.

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 21 Aug 2002 23:26:39 -0700

gwydion-dylan (2.3.9pre3-2) unstable; urgency=low

  * Updated to 'pre3' tag.
  * Bumped bootstrap counter for autobuilders.
  * Included Emacs mode.
  * Includes 'Testworks' testing framework.
  * Add a build-dependency on bison.  (Closes:Bug#155600)

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed,  7 Aug 2002 21:11:24 -0700

gwydion-dylan (2.3.9pre2-1) unstable; urgency=low

  * New upstream sources
  * Improved limited collections (now more efficient.)
  * Build corrections and updated Boehm collector code.
  * Some readline code.
  * A few optimizations to reduce size of executables (especially
    DUIM code.)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 25 Jul 2002 23:00:52 -0700

gwydion-dylan (2.3.8pre1-1) unstable; urgency=low

  * Latest upstream.
  * Corrections for various PR#'s (see http://www.gwydiondylan.org for
    more details.)
  * Correct spelling error (Closes:Bug#124716).
  * Applied semi-fix for PowerPC (Ref:  Bug#135084).  Leaving bug open until
    we have a real solution.

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 26 Feb 2002 20:27:17 -0800

gwydion-dylan (2.3.6release-1) unstable; urgency=low

  * Inlined functions now work.
  * Bignum optimizations.
  * Profiling with gprof now works.
  * Upstream release of 2.3.6 version.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 29 Dec 2001 19:30:05 -0800



=== debian/control ===
Source: gwydion-dylan
Section: devel
Priority: optional
Maintainer: Brent A. Fulgham <bfulgham@debian.org>
Standards-Version: 3.5.8.0
Build-Depends: gcc-3.2, sharutils, perl-base, perl5, debhelper, libtool, autoconf, automake, flex, libgtk1.2-dev, libreadline4-dev, byacc | bison, libgc6-dev

Package: gwydion-dylan
Architecture: any
Depends: gcc-3.2, ${shlibs:Depends}
Recommends: gwydion-dylan-dev
Suggests: mindy
Description: The Gwydion Dylan Runtime Environment
 This package contains the libraries and other files needed to
 run programs compiled with the Gwydion Dylan compiler (d2c).
 .
 At some point in the (hopefully near) future, this package will
 contain the Gwydion Dylan Listener, which will allow interactive
 exploration of the language.
 .
 For more information, see the Gwydion Dylan maintainers' web page at
 <http://www.gwydiondylan.org/>.

Package: gwydion-dylan-dev
Architecture: any
Depends: gwydion-dylan, libgc6-dev, ${shlibs:Depends}
Suggests: mindy
Description: Gwydion Dylan Development Tools
 CMU's Gwydion Dylan provides d2c, a Dylan-to-C batch compiler. It produces
 fairly efficient output but requires strange incantations to compile even
 simple programs. Tools for interfacing with C are included. (The Mindy
 bytecode interpreter is available as a separate package.) If you're really
 excited about writing Dylan programs for Linux--and don't mind the
 inconveniences of d2c--these are the tools to use. If you prefer a mature
 development environment, try another language.
 .
 This package contains the tools necessary to recompile d2c. They 
 include a LISP to Dylan translator, a parser generator, and various
 tools for maintaining the build tree. This package also contains a 
 few general-purpose development utilities written in Dylan.

Package: mindy
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gwydion-dylan
Description: A Dylan interpreter.
 Mindy is a Dylan bytecode interpreter, originally written as part of CMU's
 Gwydion Dylan project. It compiles faster than d2c and includes much better
 debugging tools. Unfortunately, Mindy makes no attempt to run fast.
 .
 Documentation for Mindy can be found in the main gwydion-dylan package, or
 on the web at <http://www.gwydiondylan.org/>.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export CC=gcc-3.2

STYLE=$(shell if [ -f "/usr/bin/d2c" ]; then echo "normal"; 	\
	else echo "bootstrap";					\
	fi)
VERSION=2.3.11pre1
MACHINE=$(shell uname -m)
ifeq ("$(MACHINE)", "sparc64")
	MACHINE=sparc
else
	ifeq ("$(MACHINE)", "i686")
		MACHINE=x86
	endif
endif

bootstrap-stage1:  bootstrap-stage1-stamp
bootstrap-stage1-stamp:
	# Following is needed for bootstrapping
ifeq ("$(STYLE)", "bootstrap")
		libtoolize --force
		aclocal
		autoconf
		./configure --with-readline \
				--prefix=/usr \
				--enable-mindy-bootstrap \
				--enable-duim=no \
				--with-gnu-ld \
				--with-site-dylan-prefix=/usr
		libtoolize --force
		$(MAKE)
		$(MAKE) DESTDIR=`pwd`/debian/bootstrap install
		mkdir `pwd`/bootstrap_compiler
		ln -sf `pwd`/debian/bootstrap/usr/bin/d2c `pwd`/bootstrap_compiler

		rm -f config.cache
endif

	touch bootstrap-stage1-stamp

bootstrap-stage2:	bootstrap-stage2-stamp
bootstrap-stage2-stamp:  bootstrap-stage1-stamp
ifeq ("$(STYLE)", "bootstrap")
		PATH=`pwd`/debian/bootstrap/usr/bin:$(PATH); \
		    LD_LIBRARY_PATH=`pwd`/debian/bootstrap/usr/lib/dylan/$(VERSION)/$(MACHINE)-linux-gcc:$(LD_LIBRARY_PATH); \
		    ./configure --with-readline \
				--prefix=/usr \
				--enable-duim=no \
				--with-site-dylan-prefix=/usr \
				--with-gnu-ld \
				--with-existing-runtime=`pwd`/debian/bootstrap/usr/lib/dylan/$(VERSION)/$(MACHINE)-linux-gcc
		# End Bootstrapping portion

		touch bootstrap-stage2-stamp
	
		# Add here commands to compile the package.

		export PATH=`pwd`/debian/bootstrap/usr/bin:$(PATH); \
		    export LD_LIBRARY_PATH=`pwd`/debian/bootstrap/usr/lib/dylan/$(VERSION)/$(MACHINE)-linux-gcc:$(LD_LIBRARY_PATH); \
		    $(MAKE)
endif

	touch bootstrap-stage2-stamp

autogen-stamp:
	`pwd`/autogen.sh
	touch autogen-stamp

build: autogen-stamp config build-stamp
build-stamp: bootstrap-stage1-stamp bootstrap-stage2-stamp
ifeq ("$(STYLE)", "normal")

		dh_testdir
		aclocal
		autoconf

		# Add here commands to compile the package.

		$(MAKE)
endif

	touch build-stamp


config: config-stamp
config-stamp:
ifeq ("$(STYLE)", "normal")
		libtoolize --force
		aclocal
		autoconf
		./configure --with-readline \
			--prefix=/usr \
			--with-site-dylan-prefix=/usr \
			--with-gnu-ld
		libtoolize --force
endif
	
	touch config-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp config-stamp bootstrap-stage1-stamp bootstrap-stage2-stamp autogen-stamp
	rm -rf `pwd`/bootstrap_compiler
	rm -rf `pwd`/debian/bootstrap
	rm -f config.cache

	# Add here commands to clean up after the build process.
	-$(MAKE) bootstrap_clean

	chmod 0777 `pwd`/debian/delMakefiles
	chmod 0777 `pwd`/debian/delStatics
	`pwd`/debian/delMakefiles `pwd`
	`pwd`/debian/delStatics `pwd`
	chmod 0665 `pwd`/debian/delMakefiles
	chmod 0665 `pwd`/debian/delStatics
	-rm -f `pwd`/d2c/compiler/main/d2c.dbc
	-rm -f `pwd`/ltconfig
	-rm -f `pwd`/ltmain.sh
	-rm -f `pwd`/config.guess
	-rm -f `pwd`/config.sub

	dh_clean

install: install-stamp
install-stamp: build-stamp

	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_installdocs CREDITS NEWS ONEWS.html README

	# Add here commands to install the package into debian/tmp.
	$(MAKE) DESTDIR=`pwd`/debian/tmp install

	# First, put everything in FSSTD-compliant places
	mv `pwd`/debian/tmp/usr/man/* `pwd`/debian/tmp/usr/share/man

	# Now, copy some manpages
	cp `pwd`/debian/gen-makefile.1 `pwd`/debian/tmp/usr/share/man/man1
	cp `pwd`/debian/make-dylan-lib.1 `pwd`/debian/tmp/usr/share/man/man1
	cp `pwd`/debian/mk-build-tree.1 `pwd`/debian/tmp/usr/share/man/man1
	cp `pwd`/debian/line-count.1 `pwd`/debian/tmp/usr/share/man/man1

	# Get rid of non-Debian directories and stuff
	rm -rf `pwd`/debian/tmp/usr/man
	rm -f `pwd`/debian/tmp/usr/bin/mk-rcs-links

	# Finally, put some stuff in a sane state
	chmod 0644 `pwd`/debian/tmp/usr/include/*
	chmod 0755 `pwd`/debian/tmp/usr/share/dylan
	chmod 0644 `pwd`/debian/tmp/usr/share/dylan/*

	# Add the emacs mode
	cp -a -r `pwd`/tools/elisp/* `pwd`/debian/gwydion-dylan-dev/usr/share/emacs/site-lisp/gwydion-dylan

	dh_movefiles

	# Make sure we don't have a bunch of extra stuff in Mindy
	rm -rf `pwd`/debian/mindy/usr/share/man/man4
	rm -rf `pwd`/debian/mindy/usr/share/man/man7
	rm -f `pwd`/debian/mindy/usr/share/man/man1/d2c*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/dybug*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/make*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/mk*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/melange*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/parsergen*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/gen*
	rm -f `pwd`/debian/mindy/usr/share/man/man1/line*

	# Make sure we don't have a bunch of extra stuff in Dev
	rm -rf `pwd`/debian/gwydion-dylan-dev/usr/share/man/man7
	rm -f `pwd`/debian/gwydion-dylan-dev/usr/share/man/man1/mindy*

	# Make sure we don't have a bunch of extra stuff in Dylan
	rm -rf `pwd`/debian/gwydion-dylan/share/man/man1/man1
	rm -rf `pwd`/debian/gwydion-dylan-dev/share/man/man4

	# Fix screwy permissions in Data Object Stores
	chmod ago-x `pwd`/debian/tmp/usr/lib/dylan/$(VERSION)/$(MACHINE)-linux-gcc32/*.lib.du

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
